Skip to main content
POST
/
api
/
v1
/
oauth
/
google
/
authorize
`POST /api/v1/oauth/google/authorize`
curl --request POST \
  --url https://api.backside.app/api/v1/oauth/google/authorize \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "return_to": "<string>"
}
'
{
  "authorize_url": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "state": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
connection_id
string<uuid> | null
return_to
string | null

Response

Authorize URL

authorize_url
string
required
expires_at
string<date-time>
required
state
string
required